[Pkg-cups-devel] r716 - in cupsys/trunk: . debian debian/patches
Martin Pitt
mpitt at alioth.debian.org
Sun Mar 16 21:32:47 UTC 2008
Author: mpitt
Date: Sun Mar 16 21:32:47 2008
New Revision: 716
Log:
* Add debian/patches/ubuntu-default-error-policy-retry-job.dpatch: Set
default job error policy to "Retry", since it is less confusing and a
better default on desktop machines. This is only applied when building on
Ubuntu.
Added:
cupsys/trunk/debian/patches/ubuntu-default-error-policy-retry-job.dpatch (contents, props changed)
Modified:
cupsys/trunk/ (props changed)
cupsys/trunk/debian/changelog
cupsys/trunk/debian/patches/00list
Modified: cupsys/trunk/debian/changelog
==============================================================================
--- cupsys/trunk/debian/changelog (original)
+++ cupsys/trunk/debian/changelog Sun Mar 16 21:32:47 2008
@@ -41,8 +41,12 @@
the cupsys profile and AppArmor itself are present.
* Add debian/patches/ubuntu-disable-browsing.dpatch: Disable Browsing by
default when building on Ubuntu.
+ * Add debian/patches/ubuntu-default-error-policy-retry-job.dpatch: Set
+ default job error policy to "Retry", since it is less confusing and a
+ better default on desktop machines. This is only applied when building on
+ Ubuntu.
- -- Martin Pitt <mpitt at debian.org> Sun, 16 Mar 2008 22:15:07 +0100
+ -- Martin Pitt <mpitt at debian.org> Sun, 16 Mar 2008 22:17:12 +0100
cupsys (1.3.6-1) unstable; urgency=low
Modified: cupsys/trunk/debian/patches/00list
==============================================================================
--- cupsys/trunk/debian/patches/00list (original)
+++ cupsys/trunk/debian/patches/00list Sun Mar 16 21:32:47 2008
@@ -16,3 +16,4 @@
pbmprint.dpatch
testsuite-exit-code.dpatch
ubuntu-disable-browsing.dpatch
+ubuntu-default-error-policy-retry-job.dpatch
Added: cupsys/trunk/debian/patches/ubuntu-default-error-policy-retry-job.dpatch
==============================================================================
--- (empty file)
+++ cupsys/trunk/debian/patches/ubuntu-default-error-policy-retry-job.dpatch Sun Mar 16 21:32:47 2008
@@ -0,0 +1,24 @@
+#! /bin/sh -e
+## ubuntu-default-error-policy-retry-job.dpatch by <martin.pitt at ubuntu.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Set default job error policy to "Retry", since it is less confusing and
+## DP: a better default on desktop machines. This patch is only applied when
+## DP: building on Ubuntu.
+
+[ "`lsb_release -is 2>/dev/null`" = "Ubuntu" ] || { echo -n '(ignored)' >&2; exit 0; }
+. /usr/share/dpatch/dpatch-run
+
+ at DPATCH@
+diff -urNad cupsys-1.3.0~rc2~/scheduler/conf.c cupsys-1.3.0~rc2/scheduler/conf.c
+--- cupsys-1.3.0~rc2~/scheduler/conf.c 2007-07-30 17:47:10.000000000 +0100
++++ cupsys-1.3.0~rc2/scheduler/conf.c 2007-08-01 15:33:55.000000000 +0100
+@@ -548,7 +548,7 @@
+ cupsdClearString(&BrowseLocalOptions);
+ cupsdClearString(&BrowseRemoteOptions);
+
+- cupsdSetString(&ErrorPolicy, "stop-printer");
++ cupsdSetString(&ErrorPolicy, "retry-job");
+
+ #ifdef HAVE_LDAP
+ cupsdClearString(&BrowseLDAPBindDN);
More information about the Pkg-cups-devel
mailing list